/* 
 * The contents of this file are subject to the Mozilla Public 
 * License Version 1.1 (the "License"); you may not use this file 
 * except in compliance with the License. You may obtain a copy of 
 * the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS 
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * rights and limitations under the License. 
 * 
 * The Original Code is tUME: the Universal Map Editor, released 
 * June 18, 2000. 
 * 
 * The Initial Developer of the Original Code is Echidna. 
 * Portions created by Echidna are Copyright (c) 1989-2000 Echidna. 
 * All Rights Reserved. 
 * 
 * Contributor(s): 
 */

/* sysextras.h */
#ifndef ECHIDNA_SYSEXTRAS_H
#define ECHIDNA_SYSEXTRAS_H

#include <echidna/platform.h>
#include "switches.h"

#ifdef __cplusplus
extern "C" {
#endif

#include <echidna/etypes.h>

/* DEFINES
*************************************************************/
#define MEMF_ANY	0L
#define ANY_REV		0L
#define TINYERROR	1L
#define DEFAULT_PEN	(-1)
#define	NONE		0L
#define BYTES		(sizeof (BYTE))
#define WORDS		(sizeof (WORD))
#define LONGWORDS	(sizeof (LONG))
#define EOLNCHAR	('\n')

#ifdef __cplusplus
}
#endif

#endif /* ECHIDNA_SYSEXTRAS.H */

