/* 
 * The contents of this file are subject to the Mozilla Public 
 * License Version 1.1 (the "License"); you may not use this file 
 * except in compliance with the License. You may obtain a copy of 
 * the License at http://www.mozilla.org/MPL/ 
 * 
 * Software distributed under the License is distributed on an "AS 
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * rights and limitations under the License. 
 * 
 * The Original Code is tUME: the Universal Map Editor, released 
 * June 18, 2000. 
 * 
 * The Initial Developer of the Original Code is Echidna. 
 * Portions created by Echidna are Copyright (c) 1989-2000 Echidna. 
 * All Rights Reserved. 
 * 
 * Contributor(s): 
 */

/*
 * SWITCHES.h
 *
 * PROGRAMMER : Gregg A. Tavares
 *    VERSION : 00.000
 *    CREATED : 12/22/89
 *   MODIFIED : 10/07/94
 *       TABS : 05 09
 *
 *	     \|///-_
 *	     \oo///_
 *	-----w/-w------
 *	 E C H I D N A
 *	---------------
 *
 * DESCRIPTION
 *		
 *
 * HISTORY
 *
*/
#ifndef SWITCHES_H
#define SWITCHES_H

#include <echidna/platform.h>

/******************************** SWITCHES ********************************/

#define FUNC_NAMES			0
#define ERRORS				1
#define NO_ERROR_NUMBERS	1

#define USE_GRAFX			0

#define DEBUG_LISTFUNC		0
#define SHOW_MEM			0

#define DEBUGGING			0
#define REQUIRE				1

#include "debug.h"

#endif /* SWITCHES_H */

